

import * as Css from "bs-css/src/Css.js";
import * as React from "react";
import * as Caml_option from "bs-platform/lib/es6/caml_option.js";
import * as Col$Flexboxgrid from "./Col.bs.js";
import * as Row$Flexboxgrid from "./Row.bs.js";

var boxStyle = Css.style(/* :: */[
      Css.backgroundColor(/* `rgba */[
            -878128972,
            /* tuple */[
              0,
              127,
              255,
              0.2
            ]
          ]),
      /* :: */[
        Css.padding(Css.rem(1.0)),
        /* :: */[
          Css.marginBottom(Css.rem(1.0)),
          /* :: */[
            Css.borderRadius(Css.rem(0.2)),
            /* [] */0
          ]
        ]
      ]
    ]);

function FlexboxGridDemo$Box(Props) {
  var children = Props.children;
  return React.createElement("div", {
              className: boxStyle
            }, children !== undefined ? Caml_option.valFromOption(children) : "Box");
}

var Box = {
  boxStyle: boxStyle,
  make: FlexboxGridDemo$Box
};

function FlexboxGridDemo$Alignment(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Alignment"), React.createElement("p", undefined, "start | center | _end | top | middle | bottom = `xs | `sm | `md | `lg"), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: React.createElement(Col$Flexboxgrid.make, {
                              children: React.createElement(FlexboxGridDemo$Box, {
                                    children: "Start"
                                  })
                            }),
                        start: /* xs */26875
                      })
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: React.createElement(Col$Flexboxgrid.make, {
                              children: React.createElement(FlexboxGridDemo$Box, {
                                    children: "Center"
                                  })
                            }),
                        center: /* xs */26875
                      })
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: React.createElement(Col$Flexboxgrid.make, {
                              children: React.createElement(FlexboxGridDemo$Box, {
                                    children: "End"
                                  })
                            }),
                        end: /* xs */26875
                      })
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null,
                        top: /* xs */26875
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "Top"
                                }),
                            xs: 6
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: null
                                }, React.createElement("p", undefined, "Line 1"), React.createElement("p", undefined, "Line 2")),
                            xs: 6
                          }))
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null,
                        middle: /* xs */26875
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "Middle"
                                }),
                            xs: 6
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: null
                                }, React.createElement("p", undefined, "Line 1"), React.createElement("p", undefined, "Line 2")),
                            xs: 6
                          }))
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null,
                        bottom: /* xs */26875
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "bottom"
                                }),
                            xs: 6
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: null
                                }, React.createElement("p", undefined, "Line 1"), React.createElement("p", undefined, "Line 2")),
                            xs: 6
                          }))
                }));
}

var Alignment = {
  make: FlexboxGridDemo$Alignment
};

function FlexboxGridDemo$Distribution(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Distribution"), React.createElement("p", undefined, "around | between = `xs | `sm | `md | `lg"), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null,
                        around: /* xs */26875
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "Around"
                                }),
                            xs: 2
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: ""
                                }),
                            xs: 2
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: ""
                                }),
                            xs: 2
                          }))
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null,
                        between: /* xs */26875
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "Between"
                                }),
                            xs: 2
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: ""
                                }),
                            xs: 2
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: ""
                                }),
                            xs: 2
                          }))
                }));
}

var Distribution = {
  make: FlexboxGridDemo$Distribution
};

function FlexboxGridDemo$Fluid(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Fluid"), React.createElement("p", undefined, "`none | `xs | `sm | `md | `lg"), React.createElement(Row$Flexboxgrid.make, {
                  children: null
                }, React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    })), React.createElement(Row$Flexboxgrid.make, {
                  children: null
                }, React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    })), React.createElement(Row$Flexboxgrid.make, {
                  children: null
                }, React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      fluid: /* xs */26875
                    })));
}

var Fluid = {
  make: FlexboxGridDemo$Fluid
};

function FlexboxGridDemo$Nested(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Nested"), React.createElement("p", undefined, "Nested Rows / Columns work"), React.createElement(Row$Flexboxgrid.make, {
                  children: null
                }, React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, {
                            children: React.createElement(Row$Flexboxgrid.make, {
                                  children: null
                                }, React.createElement(Col$Flexboxgrid.make, {
                                      children: React.createElement(FlexboxGridDemo$Box, {
                                            children: React.createElement(Row$Flexboxgrid.make, {
                                                  children: null
                                                }, React.createElement(Col$Flexboxgrid.make, {
                                                      children: React.createElement(FlexboxGridDemo$Box, { }),
                                                      xs: 6
                                                    }), React.createElement(Col$Flexboxgrid.make, {
                                                      children: React.createElement(FlexboxGridDemo$Box, { }),
                                                      xs: 6
                                                    }))
                                          }),
                                      xs: 8
                                    }), React.createElement(Col$Flexboxgrid.make, {
                                      children: React.createElement(FlexboxGridDemo$Box, {
                                            children: React.createElement(FlexboxGridDemo$Box, { })
                                          }),
                                      xs: 4
                                    }))
                          }),
                      xs: 8
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, {
                            children: React.createElement(Row$Flexboxgrid.make, {
                                  children: null
                                }, React.createElement(Col$Flexboxgrid.make, {
                                      children: React.createElement(FlexboxGridDemo$Box, {
                                            children: React.createElement(FlexboxGridDemo$Box, { })
                                          }),
                                      xs: 6
                                    }), React.createElement(Col$Flexboxgrid.make, {
                                      children: React.createElement(FlexboxGridDemo$Box, {
                                            children: React.createElement(FlexboxGridDemo$Box, { })
                                          }),
                                      xs: 6
                                    }))
                          }),
                      xs: 4
                    })));
}

var Nested = {
  make: FlexboxGridDemo$Nested
};

function FlexboxGridDemo$Offsets(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Offsets"), React.createElement("p", undefined, "xsOffset | smOffset | mdOffset | lgOffset = int (0 - 12)"), React.createElement(Row$Flexboxgrid.make, {
                  children: null
                }, React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 1,
                      xsOffset: 11
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 2,
                      xsOffset: 10
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 3,
                      xsOffset: 9
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 4,
                      xsOffset: 8
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 5,
                      xsOffset: 7
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 6,
                      xsOffset: 6
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 7,
                      xsOffset: 5
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 8,
                      xsOffset: 4
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 9,
                      xsOffset: 3
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 10,
                      xsOffset: 2
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 11,
                      xsOffset: 1
                    })));
}

var Offsets = {
  make: FlexboxGridDemo$Offsets
};

function FlexboxGridDemo$Reordering(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Reordering"), React.createElement("p", undefined, "first | last = `xs | `sm | `md | `lg"), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "1"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "2"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "3"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "4"
                                }),
                            first: /* xs */26875,
                            xs: 3
                          }))
                }), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "1"
                                }),
                            last: /* xs */26875,
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "2"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "3"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "4"
                                }),
                            xs: 3
                          }))
                }));
}

var Reordering = {
  make: FlexboxGridDemo$Reordering
};

function FlexboxGridDemo$Responsive(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Responsive"), React.createElement("p", undefined, "xs | sm | md | lg = int (0 - 12)"), React.createElement(Row$Flexboxgrid.make, {
                  children: null
                }, React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 12,
                      sm: 6,
                      md: 3
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 12,
                      sm: 6,
                      md: 3
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 12,
                      sm: 6,
                      md: 3
                    }), React.createElement(Col$Flexboxgrid.make, {
                      children: React.createElement(FlexboxGridDemo$Box, { }),
                      xs: 12,
                      sm: 6,
                      md: 3
                    })));
}

var Responsive = {
  make: FlexboxGridDemo$Responsive
};

function FlexboxGridDemo$Reverse(Props) {
  return React.createElement(React.Fragment, undefined, React.createElement("h1", undefined, "Reverse"), React.createElement("p", undefined, "reverse = true | false"), React.createElement(FlexboxGridDemo$Box, {
                  children: React.createElement(Row$Flexboxgrid.make, {
                        children: null,
                        reverse: true
                      }, React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "1"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "2"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "3"
                                }),
                            xs: 3
                          }), React.createElement(Col$Flexboxgrid.make, {
                            children: React.createElement(FlexboxGridDemo$Box, {
                                  children: "4"
                                }),
                            xs: 3
                          }))
                }));
}

var Reverse = {
  make: FlexboxGridDemo$Reverse
};

export {
  Box ,
  Alignment ,
  Distribution ,
  Fluid ,
  Nested ,
  Offsets ,
  Reordering ,
  Responsive ,
  Reverse ,
  
}
/* boxStyle Not a pure module */
